image: node:14.17.3

cache:
  paths:
    - node_modules/

stages:
  - test
  - prepare
  - build
  - deploy

prepare:
  stage: prepare
  script:
    - npm install

build:
  stage: build
  needs:
    - job: prepare
  script:
    - npm run build || true
  artifacts:
    paths:
      - public

pages:
  stage: deploy
  needs:
    - job: build
  script:
    - find public
  artifacts:
    paths:
    - public

include:
  - template: Security/Dependency-Scanning.gitlab-ci.yml
